commit a04c4631a1e7623ffd04aad55d9b29be6c3febc0
Author: Alexander Larsson <alexl@redhat.com>
Date:   2013-06-14

    NEWS: Update for 3.8.3

M	NEWS

commit 717322e53a14f6d0ea59e0de1cafb4a94e71a1c2
Author: Alexander Larsson <alexl@redhat.com>
Date:	2013-06-14

    metadata: Fix short journal check

    This was reading the size in the wrong place *sizep, not *(sizep-1),
    plus the out of bounds checks were wrong.

    https://bugzilla.gnome.org/show_bug.cgi?id=637095
    (cherry picked from commit 5a4f9e6a366e40a6967ff1569c7c2eaaabd5c4a1)

    Conflicts:
	metadata/metatree.c

M	metadata/metatree.c

commit cbed5ec4c726844898103c3b87cfc823f29ec7b1
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2013-06-02

    goa: export the activation root for volumes

    Now that we can be in charge of mounts even if we have the shadow
    mount infrastructure, we should export it so that tracking
    of the associated GDaemonMount works correctly.

    https://bugzilla.gnome.org/show_bug.cgi?id=696279
    (cherry picked from commit 7aa0c533a78dead59ea0c1a6bc132b8d8e051bcf)

M	monitor/goa/goavolume.c
M	monitor/goa/goavolumemonitor.c

commit b37f13db77d5e93eeffff32e15f6d8bff3c3e01b
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2013-06-02

    GProxyVolume: extend the protocol so the volume monitor can force
    a call to Mount

    Some volume monitors, like gnome-online-accounts, want their
    mount implementation to be called even though the volume has an
    activation root. Allow them to advertise so using the expansion
    fields of the volume DBus representation.

    https://bugzilla.gnome.org/show_bug.cgi?id=696279
    (cherry picked from commit 97a4246ba7f620ee348711b21cba8a1b67e8a056)

M	monitor/proxy/gproxyvolume.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.c
M	monitor/proxy/gvfsproxyvolumemonitordaemon.h

commit 3b8ff4e37fce0b8edaede5e876a1d16a12d07b08
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2013-06-02

    GDaemonFile: fix relative path handling to account for mount_prefix

    If two files have two different origins (say, one from
    g_mount_get_root()
    and one from g_file_new_for_uri()), the mount_spec they use could
    expose a different mount_prefix, even if the represent the same URI
    and network object.

    This in particular fixes the handling of shadow mounts for dav
    (which rewrites the mount_spec during mount to find the right prefix)

    https://bugzilla.gnome.org/show_bug.cgi?id=696279
    (cherry picked from commit bf50158cb58d1d22d6ece145d1eabd790b30798f)

M	client/gdaemonfile.c

commit 051a0d80f37c54337bd10f52dddaf7b703e03231
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-29

    Use GOnce for interface type registration

    Related to https://bugs.freedesktop.org/show_bug.cgi?id=65130
    (cherry picked from commit f389246b60f3ce6d528af01f15a296b122815cd0)

M	daemon/gvfsjobsource.c

commit eba1a3c95e69e893687a58a3082165cce5823333
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2013-06-06

    http: Don't send a SoupMessage if we only want the thumbnail path

    https://bugzilla.gnome.org/show_bug.cgi?id=701714

M	daemon/gvfsbackendhttp.c

commit 017c2615fdae75a615f798391f6987658528e736
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-04-25

    Document the --etag attribute of gvfs-save

M	man/gvfs-save.xml

commit b83dcdd67e6038be3088d51a423aea3894691748
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-04-25

    gvfs-move: Don't document nonexisting options

    The gvfs-move tool doesn't have a --preserve option.

M	man/gvfs-move.xml

commit ebc169567c5b2a8c8fc9b1ccc9cc07b25bc0043e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-04-25

    Fix a typo in the gvfs-info man page

M	man/gvfs-info.xml

commit 979ea3990781ab0e1dedf58fd51152a8da70b8ee
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-04-25

    iFix a typo in the gvfs-set-attribute man page

M	man/gvfs-set-attribute.xml

commit e3f77cc84822dcf32da7c7442bb26d64a7c1b8f7
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2013-04-25

    Fix a typo in the gvfs-ls man page

M	man/gvfs-ls.xml

commit 66945b643680fbf0db215161ed5596d88ac68ef3
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-14

    Post release version bump

M	configure.ac

commit 5b1ed3b29284f39dea6ce4a329d41ce92a66f9cb
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-14

    Update NEWS for 1.16.2 release

M	NEWS

commit 60f04600f58a7f4d1779f369f9cb97059fe18441
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-13

    metadata: Flush all scheduled writeouts on daemon exit

    This patch ensures that we safely write all data from journals to
    metatrees on exit. E.g. if anything happens to session bus or we get
    replaced by some other instance.

    https://bugzilla.gnome.org/show_bug.cgi?id=637095
    (cherry picked from commit e793a0476feeaa0a3cc4f1fd043c15c297707455)

M	metadata/meta-daemon.c

commit 755ed5e229f02429838af1b8b84a922ef3efd2f0
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-13

    metadata: Use shorter writeout timeout on NFS

    Since we've moved journal to a non-volatile storage, let's flush
    more often to minimize a chance of data loss.

    https://bugzilla.gnome.org/show_bug.cgi?id=637095
    (cherry picked from commit c8e7d1375715545f28a0943ce7657330e3b70acd)

M	metadata/meta-daemon.c
M	metadata/metatree.c
M	metadata/metatree.h

commit 34db4bdf35935b153da26bf8d0654242a6c6da9c
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-13

    metadata: Put journal in $XDG_RUNTIME_DIR for shared NFS homedir case

    This essentially moves is_on_nfs() from metatree.c in metabuilder.c
    as the more appropriate place for shared functions. It's used in
    meta_builder_get_journal_filename() to determine whether to use
    original
    metadata directory or temporary $XDG_RUNTIME_DIR location to work
    around
    certain NFS issues.

    The idea behind this change is to have separate journals for every
    client
    that is accessing shared homedir. Then the only possible point
    of conflict
    is on rotation which is backed up by atomic file rename. Without this,
    there were multiple metadata daemons writing to the same journal file,
    overwriting changes to each other and being racy in flush and
    rotation.

    There will always be a conflict between clients, overwriting tree file
    data by flushing their journals.

    https://bugzilla.gnome.org/show_bug.cgi?id=637095
    (cherry picked from commit 749c872b9192a84e65d83bc0f0eb697ab247fdd8)

M	metadata/metabuilder.c
M	metadata/metabuilder.h
M	metadata/metatree.c

commit c7274dfaff4a3be413404fbdeeab11aa8bdb35f6
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-13

    metadata: Create new journal if it doesn't exist

    With concurrent access of multiple daemons there may be a moment when
    tree file exists but not the journal file. The daemon can't write
    anything without journal and is doomed until next rotation. Missing
    journal file can also happen on system crash etc.

    This patch tries to create new journal file only when it doesn't
    exist,
    other errors still lead to inability to store anything.

    This will also allow us to have journal file somewhere else, e.g. on
    a non-persistent storage.

    https://bugzilla.gnome.org/show_bug.cgi?id=637095
    (cherry picked from commit 3381859ba7a92f4824ff09a7aa951407bf4e1c72)

M	metadata/metabuilder.c
M	metadata/metabuilder.h
M	metadata/metatree.c

commit 496efc06171967aff217670d07d0cb6c4ccc62bf
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-13

    metadata: Be more resistive to broken journal files

    In shared NFS homedir case with multiple clients writing to the same
    mmaped journal file data can get easily corrupted. The daemon iterates
    over a journal file on flush taking in account variable entry size and
    advances according to the data read.

    However in certain case invalid data are read making us to jump out of
    bounds. In case of zero entry size we would stand at the same place
    leading to infinite loop.

    This patch checks if the indicated entry size is at least the size of
    the structure we're getting the size from (it's a first element)
    and breaks
    the iteration cycle if it's not. This may lead to partial data loss
    on flush
    as we don't process the rest of the journal file. Old data from
    existing
    tree file will be preserved of course, only few recent changes would
    get lost.

    https://bugzilla.gnome.org/show_bug.cgi?id=637095
    (cherry picked from commit 21811b3ae17ec705327484c1ce0be75fec95bb0e)

M	metadata/metatree.c

commit 39f7b6ffd306943005413deb25bee6a56cb5e6f9
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-05-13

    metadata: Force tree re-read after successful flush

    Once we flush the journal and write new tree file we need to re-read
    it to refresh internal data structures (and mmap data from the right
    file). We originally left this work on meta_tree_refresh_locked() and
    meta_tree_needs_rereading() respectively where we checked the rotated
    bit.

    In detail, metabuilder wrote a new temp tree file, then explicitly
    opened
    the current (old) one, wrote the rotated bit and atomically
    replaced the
    temp file. Then the metadata daemon having mmapped the old file
    detected
    the rotated bit and scheduled journal and tree file reopen+reread.

    However in concurrent environment like NFS homedir where multiple
    metadata
    daemons are handling the same database we may run in a race and
    not getting
    the rotated bit detected properly.

    This led to an infinite loop between meta_journal_add_entry() -
    meta_tree_flush_locked() - meta_tree_refresh_locked() -
    meta_journal_add_entry()
    since we had full journal, didn't detect the rotation and since
    the files
    were already unlinked, there was no force to break that loop. This
    patch
    forces tree file re-read after successful flush to prevent this issue.

    https://bugzilla.gnome.org/show_bug.cgi?id=637095
    (cherry picked from commit 6b12c3d7b33c87a7fea228106f39ecf2a3e0f310)

M	metadata/metatree.c

commit 473cd1356403c28b83347b1a62ec17a2198288d6
Author: Philip Langdale <philipl@overt.org>
Date:	2013-04-17

    MTP: Use actual standard name for SD Card icon.

    The last name I chose was deprecated. What fun.

    https://bugzilla.gnome.org/show_bug.cgi?id=698174

M	daemon/gvfsbackendmtp.c

commit 9102e80796a7f424eb4fd7e1a6f69721218c8bfb
Author: Philip Langdale <philipl@overt.org>
Date:	2013-04-16

    MTP: Use standard name for SD Card icon.

    I was previously using an Ubuntu specific alias.

    https://bugzilla.gnome.org/show_bug.cgi?id=698174

M	daemon/gvfsbackendmtp.c

commit ffbcd870b6297ccaabfc50b9dc47f51d9ea7905d
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-04-16

    Post release version bump

M	configure.ac

commit 186e1ae1fea8b2222d5c6a4bfdf53bf2b660a7d9
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-04-16

    Update NEWS for 1.16.1 release

M	NEWS

commit af5e3d4f409e1fdef13bc9454d015d23401ecdf4
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:	2013-04-16

    l10n: Update Japanese translation

M	po/ja.po

commit 53c901ec9b9837e04665d9b354c51bf09cca29a4
Author: Richard Stanislavský <kenny.vv@gmail.com>
Date:	2013-04-14

    Updated slovak translation

M	po/sk.po

commit 2875ba2137ad5279317271e9b9c10a9e1e9fcd5c
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2013-04-06

    Updated British English translation

M	po/en_GB.po

commit 22fc427fc8871a613af1926a56887fb050f7051e
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	2013-04-06

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit e0941e88ffdd3b4d89e8d2db9dabbb86ff9d81e1
Author: Alexander Larsson <alexl@redhat.com>
Date:	2013-04-05

    daemons: Tweak read sizes

    Make sure we never read more than one page unless requested on
    the first
    read. This helps for e.g. sniffing and gstreamer (which reads in
    4k blocks
    with seeks inbetween).

    Also, further limit the max size request, because 512k seems very
    ridicoulus.

M	daemon/gvfsreadchannel.c

commit c9b8fc094d7a95386641901957cca890d5345aa1
Author: Alexander Larsson <alexl@redhat.com>
Date:	2013-04-05

    Fix readahead behaviour

    We were constantly adding extra readahead operations that were
    not really
    needed. A single readahead is necessary to get the read operations
    pipelined (see comment). Also, avoid readahead for the first read
    to handle random access i/o better.

    https://bugzilla.gnome.org/show_bug.cgi?id=697289

M	daemon/gvfsreadchannel.c

commit 3df8e843690d39e8437930e8350a4aaecb199729
Author: Alexander Larsson <alexl@redhat.com>
Date:	2013-04-05

    GVfsJobError: Return TRUE in try

    This fixes a warning and a potentially useless call of do() method in
    a thread.

M	daemon/gvfsjoberror.c

commit 5e614ee502ced670a681e33ea2d0c8363d9068ca
Author: Alexander Larsson <alexl@redhat.com>
Date:	2013-04-04

    remove debug spew

M	daemon/gvfsjoberror.c

commit e1be69f4bcec01c007016ae33dbb48514b09ba75
Author: Alexander Larsson <alexl@redhat.com>
Date:	2013-04-04

    GVfsChannels: Verify that replies are for the right serial

    We might be getting replies for old cancelled operations which
    we need to ignore.

    https://bugzilla.gnome.org/show_bug.cgi?id=675181

M	client/gdaemonfileinputstream.c
M	client/gdaemonfileoutputstream.c

commit 6141549ed4660e888fb6438434c789db47b6f665
Author: Alexander Larsson <alexl@redhat.com>
Date:	2013-04-04

    channel: Unqueue cancelled requests

    We put a channel request on the output buffer and start writing, but
    if the write is cancelled on the first call (i.e. no partial writes)
    we abort immediately without ever writing the request.

    However, if we do this we also need to unqueue the request from
    the output
    buffer, as otherwise this will be sent with the next operation. This
    can be problematic for seeks as the seek generation is then not
    in sync.

    https://bugzilla.gnome.org/show_bug.cgi?id=675181

M	client/gdaemonfileinputstream.c
M	client/gdaemonfileoutputstream.c
M	daemon/gvfschannel.c

commit d667f6fe956d8661710f9fe5ad3e54d9b24aa04a
Author: Alexander Larsson <alexl@redhat.com>
Date:	2013-04-04

    Fix daemon crash when cancelling channel operations

    The error handling in gvfschannel.c:start_queued_request() when
    there was an error creating the job or when the request was cancelled
    caused problems. It didn't set current_job, yet it called
    g_vfs_channel_send_error() which eventually resulted in a
    call to send_reply_cb which crashed as it assumed current_job
    was set.

    Also, not returning TRUE for started_job when we sent an error
    is problematic as we then could start the next job which caused
    us to have two outstanding jobs on the same channel mixing things up
    badly.

    https://bugzilla.gnome.org/show_bug.cgi?id=675181

M	daemon/Makefile.am
M	daemon/gvfsbackend.h
M	daemon/gvfschannel.c
A	daemon/gvfsjoberror.c
A	daemon/gvfsjoberror.h

commit a376e0808c2e8212462025d8065e60d091995d36
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-04-03

    gvfschannel: Return proper error if we're out of free fds

    In case of too many open files within the process the
    g_vfs_channel_init() call fails on socketpair and subsequent
    g_vfs_channel_steal_remote_fd() call returns -1 for the fd.
    Then g_unix_fd_list_append() hits the assert and doesn't set an
    error we're dereferencing afterwards.

    This patch doesn't solve the lack of free fds situation and since glib
    heavily depends on it it would fail somewhere else. We're just fixing
    the segfault and returning nicer error.

    Based on a fix suggested by Stephen M. Webb

    https://bugzilla.gnome.org/show_bug.cgi?id=696713

M	daemon/gvfschannel.c
M	daemon/gvfsjobopenforread.c
M	daemon/gvfsjobopenforwrite.c

commit e526c310c8186509165108153b187013ded106d5
Author: Bastien Nocera <hadess@hadess.net>
Date:	2013-03-14

    Fix compiler warnings

    https://bugzilla.gnome.org/show_bug.cgi?id=695834
    (cherry picked from commit 421ce4a6b4526047fde9d8d039a66b520eb09f3f)

M	client/gvfsfusedaemon.c
M	common/gvfsmountinfo.c
M	daemon/gvfsafpvolume.c
M	daemon/gvfsbackenddav.c
M	daemon/gvfshttpinputstream.c
M	metadata/meta-get-tree.c
M	monitor/goa/goavolume.c
M	monitor/udisks2/gvfsudisks2volume.c

commit 5cce0efe8605f73d8cc1499e39c873fdc1a0d4af
Author: Bastien Nocera <hadess@hadess.net>
Date:	2013-03-31

    obexftp: Fix crasher due to missing D-Bus threads support

    Spotted by Serge Gavrilov <serge@pdmi.ras.ru>

    The GDbus port removed the need for us to initialise
    libdbus' threads support, and commit
    7d4bd61385cd56db5507ee31b14724244b637da4
    removed the last call to it.

    However, the obexftp backend still hasn't fully been ported
    to GDbus, and needs this threading support. Re-add it directly
    in the backend.

    https://bugzilla.gnome.org/show_bug.cgi?id=693574

M	daemon/gvfsbackendobexftp.c

commit adbe1bade2d3d9ba41c29d745cfa5ae433063554
Author: Philip Langdale <philipl@overt.org>
Date:	2013-03-23

    Daemon: Ensure monitors are not prematurally finalized.

    If a monitor is being cleaned up due to the backend disappearing,
    we could see the monitor being finalized as a result of removing
    a subscriber, leading to a segfault as it continues to access
    its internal state.

    https://bugzilla.gnome.org/show_bug.cgi?id=696479

M	daemon/gvfsmonitor.c

commit e9ba3d8951d83c1e3be14ba6ed60b72906ffff0f
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2013-03-26

    Updated Telugu Translations

M	po/te.po

commit 4f9c0df5e761adca0107fe3dcfcd3054a5a6c5ed
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	2013-03-26

    Updated Telugu Translations

M	po/te.po

commit 1dbba65340ad096bf18d1995edd58ba37d89eede
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2013-03-26

    Updated kn translations

M	po/kn.po

commit 92abf64e33686bb2ae715fa7abde7f1d38c13ac5
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-03-25

    Post release version bump

M	configure.ac

commit 6210d23edaba478efd7a76d9c73ced080cd842c1
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-03-25

    Update NEWS for 1.16.0 release

M	NEWS
M	configure.ac

commit c19b628fd19c7e37c37552537694019798473be9
Author: Petr Kovar <pkovar@redhat.com>
Date:	2013-03-24

    Update Czech translation

M	po/cs.po

commit 35f5d69034f1cb0ec59d45225cfbb63ab66497a1
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	2013-03-24

    Updated Marathi Translations

M	po/mr.po

commit e21ce08c7aaa6a287ca8fc06d4d58f07851444b8
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	2013-03-23

    Updated Dutch translation

M	po/nl.po

commit 12630fb340785422d3d52e8d832413590856b193
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-03-22

    build: Distribute m4 macros

    The m4 directory is used by *ize scripts for putting their m4
    macros there
    and is a common practice to distribute these macros within a tarball.

    https://bugzilla.gnome.org/show_bug.cgi?id=693634

M	Makefile.am
M	autogen.sh

commit e903c3e908249b094b6109af52ad2c931c5add89
Author: Shantha kumar <shkumar@redhat.com>
Date:	2013-03-22

    Tamil Translations Updated

M	po/ta.po

commit 1b5b510deeee53842b83616a2c720c4b41a7a2d5
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	2013-03-22

    Updated Odia Language along with FUEL implementation

M	po/or.po

commit 96d9cade8f08284beb47a3ba29b763dd4cb80645
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	2013-03-22

    hindi translation

M	po/hi.po

commit 11bb63dca6b9e2c16906d63470896c6754036310
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	2013-03-21

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit c9a3381000b9f25d5fbe20c5f6ecb0d0739477a7
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2013-03-21

    Updated Hungarian translation

M	po/hu.po

commit 6a324aa05f1213d6b1f9ee31d022728df0dd59f2
Author: Nishio Futoshi <fut_nis@d3.dion.ne.jp>
Date:	2013-03-21

    [l10n] Update Japanese translation

M	po/ja.po

commit 9be6420ee91b4d0c068f284304ccffa22b4c3899
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	2013-03-19

    [l10n] Added Tadjik translation

M	po/LINGUAS
A	po/tg.po

commit 6ee73074971eaab23646550d1f17b9abd9725501
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-03-18

    gvfs-test: Update expected gvfs-mount -li output

    Update expected "Drive connected:" output for the Drive.test_cdrom and
    Drive.test_system_partition tests, as gvfs now prints the driver
    name instead
    of the label.

M	test/gvfs-test

commit e2e53eb30a1614369da2bcdeff22d5861c6b2613
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-03-17

    Updated Latvian translation

M	po/lv.po

commit b89af14018a568bd342d17459cf161e46abc85c2
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2013-03-17

    Updated Latvian translation

M	po/lv.po

commit 578e746f30f8a9e8f7a8df3d4778f928eddbe07a
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2013-03-17

    Updated Danish translation

M	po/da.po

commit 5c61c7092d025242c74054f7eacd340d30e0b332
Author: Philip Langdale <philipl@overt.org>
Date:	2013-03-16

    MTP: Switch to version based checks for new libmtp features.

M	configure.ac
M	daemon/gvfsbackendmtp.c

commit 7855cb474a061b0908a2fa8f4b3687f1d9759e97
Author: Bastien Nocera <hadess@hadess.net>
Date:	2013-03-14

    cdda: Fix warnings for each track on the CD

    (process:22937): GLib-CRITICAL **: g_convert: assertion `str !=
    NULL' failed
    for each of the tracks as we tried to convert the genre (which
    was NULL)

    https://bugzilla.gnome.org/show_bug.cgi?id=695835

M	daemon/gvfsbackendcdda.c

commit 51ad0a98b0834fc7755e26ded721604ac890e8ff
Author: Bastien Nocera <hadess@hadess.net>
Date:	2013-03-14

    cdda: Remove leading '/' from the filenames

    https://bugzilla.gnome.org/show_bug.cgi?id=695835

M	daemon/gvfsbackendcdda.c

commit aac8860e2f2d7c39f1c5d9f19a4c650771fc1c6e
Author: Bastien Nocera <hadess@hadess.net>
Date:	2013-03-14

    cdda: Remove unneeded function argument

    https://bugzilla.gnome.org/show_bug.cgi?id=695835

M	daemon/gvfsbackendcdda.c

commit 31afcc10efa4ee3375a3c4722302924b664cc49c
Author: Bastien Nocera <hadess@hadess.net>
Date:	2012-11-27

    trash: Use the symbolic names for trash:: attributes

    https://bugzilla.gnome.org/show_bug.cgi?id=695836

M	daemon/gvfsbackendtrash.c

commit 3466f4ef2fa74bf5f20d40a681c36ff5f6521957
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2013-03-14

    Updated gujarati file

M	po/gu.po

commit 2be6bb1786192685c7281869b4163b32ad77d14d
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2013-03-13

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit e981707d7e3390d21b16e81e96ee884bc01a1c55
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2013-03-12

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 47922405377b6d498018491db75aebf24c0da39c
Author: Gil Forcada <gforcada@gnome.org>
Date:	2013-03-12

    [l10n] Updated Catalan translation

M	po/ca.po

commit de1280eefc6d2b61146e047e5e8ed831d65db2c7
Author: Claude Paroz <claude@2xlibre.net>
Date:	2013-03-12

    Updated French translation

M	po/fr.po

commit 631007704726cc746843e331e6d482f320c1aaea
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	2013-03-12

    Assamese translation updated for gnome 3.8

M	po/as.po

commit db72f0d7ae89fc1202e5de469ab8661401e687e5
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-03-12

    Updated Korean translation

M	po/ko.po

commit 78f60df065f9fecf04075111a1ed26dc48cf34a6
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-03-12

    Updated Korean translation

M	po/ko.po

commit f13720301a406a329c9bffa97d2b1e96c4dc6cad
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2013-03-12

    Updated Korean translation

M	po/ko.po

commit 1812700d45870999997555e8b31484e717762c47
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2013-03-07

    Updated Slovenian translation

M	po/sl.po

commit 4b9321013bc46b3c7fe38b0234a314b60718749e
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2013-03-07

    Updated Brazilian Portuguese translation proofread by Enrico Nicoletto

M	po/pt_BR.po

commit 28655bc178156c7094db93323c915342fce23798
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	2013-03-07

    Updated Belarusian translation.

M	po/be.po

commit 49fe2d39c7331250824054d9e6cfd6c474901371
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-03-04

    Post release version bump

M	configure.ac

commit 4c9881c0e77d973146f5992961147dab6af87fa9
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2013-03-04

    Update NEWS for 1.15.4 release

M	NEWS

commit de82adbfd61ae77a52b9e74903912c9dcad8c1cd
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2013-03-03

    Updated Russian translation

M	po/ru.po

commit ab0e8cf84081c85bacb9283e98315506b62440b0
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	2013-03-03

    Added German translation

M	po/de.po

commit a080b00d2f779ed6248d355f4811c09da5e3c4dc
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2013-03-02

    Updated Lithuanian translation

M	po/lt.po

commit bfcd300e40455ceea2dd6eddfd0007a5dc73be8b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-02

    Updated Vietnamese translation

M	po/vi.po

commit 07033e7ee0c07aa81e5287c7b666e10d9bff67f3
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2013-03-02

    po/vi: import from Damned Lies

M	po/vi.po

commit 22bb8e6b65ed4c6024edff713e484cf631019fd1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2013-03-01

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 54ab696750eff646cfc93ddc1c3cd630f31a7c26
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2013-02-28

    Updated Basque language

M	po/eu.po

commit 26f0ceb9c69b6ee31adaff24b5de351bd90a9e49
Author: Wylmer Wang <wantinghard@gmail.com>
Date:	2013-02-28

    Update Simplified Chinese translation

M	po/zh_CN.po

commit d839289cc0795c2a26fefcfbd5797091db50013b
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	2013-02-26

    Updated Greek translation

M	po/el.po

commit 17d65f4c96866477de43928f1c353ebf1e1cca99
Author: Philip Langdale <philipl@overt.org>
Date:	2013-02-12
